// -----------------------------------------------------------------------
//
//    GPC/GPF-3100 Header file
//
//		File Name: FbiAd.h
//
//    Copyright 1999, 2002 Interface Corporation. All rights reserved.
// -----------------------------------------------------------------------

#include "GpcAd.h"

#ifdef __cplusplus
extern	"C" {
#endif

//-----------------------------------------------------------------------------------------------
//
//   GPC/GPF-3100 Function Declaration
//
//-----------------------------------------------------------------------------------------------
HANDLE WINAPI AdOpen(LPCTSTR);
int WINAPI AdClose(HANDLE);
int WINAPI AdGetDeviceInfo(HANDLE, PADBOARDSPEC);
INT WINAPI AdSetBoardConfig(HANDLE, HANDLE, LPADCALLBACK, DWORD);
INT WINAPI AdGetBoardConfig(HANDLE, ULONG *);
int WINAPI AdSetSamplingConfig(HANDLE, PADSMPLREQ);
int WINAPI AdGetSamplingConfig(HANDLE, PADSMPLREQ);
int WINAPI AdGetSamplingData(HANDLE, PVOID, ULONG *);
int WINAPI AdClearSamplingData(HANDLE);
int WINAPI AdStartSampling(HANDLE, ULONG);
int WINAPI AdStartFileSampling(HANDLE, LPCTSTR, ULONG);
int WINAPI AdTriggerSampling(HANDLE, ULONG, ULONG, ULONG, ULONG, ULONG, ULONG);
int WINAPI AdMemTriggerSampling(HANDLE, ULONG, PADSMPLCHREQ, ULONG, ULONG, ULONG, float, ULONG, ULONG);
int WINAPI AdSyncSampling(HANDLE, ULONG);
int WINAPI AdStopSampling(HANDLE);
int WINAPI AdGetStatus(HANDLE, ULONG *, ULONG *, ULONG *);
int WINAPI AdInputAD(HANDLE, ULONG, ULONG, PADSMPLCHREQ, LPVOID);
int WINAPI AdInputDI(HANDLE, DWORD *);
int WINAPI AdOutputDO(HANDLE, DWORD);
int WINAPI AdAdjustVR(HANDLE, ULONG, ULONG, ULONG, ULONG, ULONG);
int WINAPI AdReadAdjustVR(HANDLE, ULONG);

int WINAPI AdBmSetSamplingConfig(HANDLE, PADBMSMPLREQ);
int WINAPI AdBmGetSamplingConfig(HANDLE, PADBMSMPLREQ);
int WINAPI AdBmGetSamplingData(HANDLE, PVOID, ULONG *);
int WINAPI AdBmStartFileSampling(HANDLE, LPCTSTR, ULONG);

int WINAPI AdLvSetSamplingConfig(HANDLE, ULONG, ULONG, float, ULONG, HANDLE, LPADCALLBACK, DWORD);
int WINAPI AdLvGetSamplingConfig(HANDLE, ULONG, ULONG *, float *, ULONG *);
int WINAPI AdLvCalibration(HANDLE, ULONG, ULONG);
int WINAPI AdLvGetSamplingData(HANDLE, ULONG, PVOID, ULONG *);
int WINAPI AdLvStartSampling(HANDLE, ULONG);
int WINAPI AdLvStopSampling(HANDLE, ULONG);
int WINAPI AdLvGetStatus(HANDLE, ULONG, ULONG *, ULONG *, ULONG *);
int WINAPI AdMeasureTemperature(HANDLE, float *);

int WINAPI AdAllocateSamplingBuffer(HANDLE);
int WINAPI AdReadSamplingBuffer(HANDLE, LONG, ULONG *, PVOID);

int WINAPI AdDataConv(UINT, PVOID, UINT, PADSMPLREQ, UINT, PVOID, PUINT, PADSMPLREQ, UINT, UINT, LPCONVPROC);
int WINAPI AdReadFile(LPCTSTR, PVOID, ULONG);

int WINAPI AdSetRangeEvent(HANDLE, DWORD, DWORD);
int WINAPI AdGetRangeEventStatus(HANDLE, ULONG *, ULONG *);
int WINAPI AdResetRangeEvent(HANDLE);

int WINAPI AdGetOverRangeChStatus(HANDLE, ULONG *);
int WINAPI AdResetOverRangeCh(HANDLE);

int WINAPI AdSetInterval(HANDLE, ULONG);
int WINAPI AdGetInterval(HANDLE, ULONG *);
int WINAPI AdSetFunction(HANDLE, ULONG, ULONG);
int WINAPI AdGetFunction(HANDLE, ULONG, ULONG *);
int WINAPI AdSetFilter(HANDLE, ULONG);
int WINAPI AdGetFilter(HANDLE, ULONG*);

int WINAPI AdFifoGetSamplingData(HANDLE, PVOID, PVOID, ULONG *);

int WINAPI AdCommonGetPciDeviceInfo(HANDLE, DWORD *, DWORD *, DWORD *, DWORD *, DWORD *, DWORD *, DWORD *, DWORD *, DWORD *, DWORD *, DWORD *, DWORD *, DWORD *, DWORD *);

int WINAPI AdMemSetSamplingConfig(HANDLE, PADMEMSMPLREQ);
int WINAPI AdMemGetSamplingConfig(HANDLE, PADMEMSMPLREQ);
int WINAPI AdSetOutMode(HANDLE, ULONG, ULONG);
int WINAPI AdGetOutMode(HANDLE, ULONG *, ULONG *);
int WINAPI AdMemSetDiPattern(HANDLE, ULONG, ULONG *);
int WINAPI AdMemGetDiPattern(HANDLE, ULONG *);

#ifdef __cplusplus
}
#endif

//#endif
